﻿@using System.Web.UI.WebControls;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@Html.Partial("_PORT_DISCHARGE_Script")
<div class="content">
    <fieldset>
        @*<table>
            <tr>
                <td>
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "POD Code";
                        label.Width = 100;
                    }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_PORT_DISCHARGE_CD";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 100;
                        settings.Properties.MaxLength = 20;
                    }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Button(
                     edtSetting =>
                     {
                         edtSetting.Name = "cmdSearch";
                         edtSetting.Text = "Search";
                         edtSetting.Width = 100;
                         edtSetting.ClientSideEvents.Click = "OnSearch";
                         edtSetting.Style.Add("display", "inline-table");
                         edtSetting.UseSubmitBehavior = true;
                         //di nonaktifin dulu untuk direct login
                         //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PORT_LOADING", "FTR-SPEX-54-01", "SEARCH");
                     }
                     ).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Button(
                    edtSetting =>
                    {
                        edtSetting.Name = "cmdClear";
                        edtSetting.Width = 100;
                        edtSetting.Text = "Clear";
                        edtSetting.ClientSideEvents.Click = "OnClear";
                        edtSetting.Style.Add("display", "inline-table");
                        edtSetting.UseSubmitBehavior = true;
                        //di nonaktifin dulu untuk direct login
                        //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PORT_LOADING", "FTR-SPEX-54-01", "CLEAR");
                    }).GetHtml()
                </td>
            </tr>
        </table>
        <table >
            <tr>
                <td>
                    @Html.DevExpress().Button(
                     edtSetting =>
                     {
                         edtSetting.Name = "cmdDelete";
                         edtSetting.Text = "Delete";
                         edtSetting.Width = 100;
                         edtSetting.ClientSideEvents.Click = "DeleteData";
                         edtSetting.Style.Add("display", "inline-table");
                         edtSetting.UseSubmitBehavior = true;
                         //di nonaktifin dulu untuk direct login
                         //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PORT_LOADING", "FTR-SPEX-54-01", "SEARCH");
                     }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Button(
                     edtSetting =>
                     {
                         edtSetting.Name = "cmdEdit";
                         edtSetting.Text = "Edit";
                         edtSetting.Width = 100;
                         edtSetting.ClientSideEvents.Click = "EditData";
                         edtSetting.Style.Add("display", "inline-table");
                         edtSetting.UseSubmitBehavior = true;
                         //di nonaktifin dulu untuk direct login
                         //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PORT_LOADING", "FTR-SPEX-54-01", "SEARCH");
                     }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Button(
                     edtSetting =>
                     {
                         edtSetting.Name = "cmdAdd";
                         edtSetting.Text = "Add";
                         edtSetting.Width = 100;
                         edtSetting.ClientSideEvents.Click = "AddData";
                         edtSetting.Style.Add("display", "inline-table");
                         edtSetting.UseSubmitBehavior = true;
                         //di nonaktifin dulu untuk direct login
                         //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PORT_LOADING", "FTR-SPEX-54-01", "SEARCH");
                     }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Button(
                     edtSetting =>
                     {
                         edtSetting.Name = "cmdSave";
                         edtSetting.Text = "Save";
                         edtSetting.Width = 100;
                         edtSetting.ClientSideEvents.Click = "SaveData";
                         edtSetting.Style.Add("display", "inline-table");
                         edtSetting.UseSubmitBehavior = true;
                         //di nonaktifin dulu untuk direct login
                         edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PORT_LOADING", "FTR-SPEX-54-01", "CANCEL");
                     }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Button(Button =>
                       {
                           Button.Name = "cmdCancel";
                           Button.Text = "Cancel";
                           Button.Width = 100;
                           Button.Style.Add("display", "inline-table");
                           Button.ClientSideEvents.Click = "CancelData";
                           Button.UseSubmitBehavior = true;
                           //Button.ClientSideEvents.Init = "InitData";
                           //Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PORT_LOADING", "FTR-SPEX-54-01", "CANCEL");

                       }).GetHtml()
                </td>
            </tr>
        </table>*@
        <div class="content">
            <table style="width: 100%">
                <tr>
                    <td>
                        @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "POD Code";
                    label.Width = 100;
                }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_PORT_DISCHARGE_CD";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    settings.Properties.MaxLength = 20;
                }).GetHtml()
                    </td>
                    <td style="width: 5px"></td>
                    @*<td>
                        @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Port Loading Name";
                    label.Width = 150;
                }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_PORT_LOADING_NAME";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 50;
                }).GetHtml()
                    </td>*@
                    <td style="width: 5px"></td>
                    <td style="width: 400px"></td>
                    <td colspan="2" align="right">
                        @Html.DevExpress().Button(
                 edtSetting =>
                 {
                     edtSetting.Name = "cmdSearch";
                     edtSetting.Text = "Search";
                     edtSetting.Width = 100;
                     edtSetting.ClientSideEvents.Click = "OnSearch";
                     edtSetting.Style.Add("display", "inline-table");
                     edtSetting.UseSubmitBehavior = true;
                     //di nonaktifin dulu untuk direct login
                     edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PORT_LOADING", "FTR-SPEX-54-01", "SEARCH");
                 }
                 ).GetHtml()
                        @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "cmdClear";
                    edtSetting.Width = 100;
                    edtSetting.Text = "Clear";
                    edtSetting.ClientSideEvents.Click = "OnClear";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    //di nonaktifin dulu untuk direct login
                    edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PORT_LOADING", "FTR-SPEX-54-01", "CLEAR");
                }).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td colspan="19">
                        <hr />
                    </td>
                </tr>
                <tr>
                    <td colspan="4">
                        @Html.DevExpress().Button(Button =>
        {
            Button.Name = "cmdSave";
            Button.Text = "Save";
            Button.Width = 100;
            Button.Style.Add("display", "inline-table");
            Button.UseSubmitBehavior = true;
            Button.ClientSideEvents.Click = "SaveData";
            //Button.ClientSideEvents.Init = "InitData";
            Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PORT_LOADING", "FTR-SPEX-54-01", "SAVE");

        }).GetHtml()
                        @Html.DevExpress().Button(Button =>
           {
               Button.Name = "cmdCancel";
               Button.Text = "Cancel";
               Button.Width = 100;
               Button.Style.Add("display", "inline-table");
               Button.ClientSideEvents.Click = "CancelData";
               Button.UseSubmitBehavior = true;
               //Button.ClientSideEvents.Init = "InitData";
               Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PORT_LOADING", "FTR-SPEX-54-01", "CANCEL");

           }).GetHtml()
                    </td>
                    <td></td>
                    <td colspan="6" align="right">
                        @Html.DevExpress().Button(Button =>
           {
               Button.Name = "cmdAdd";
               Button.Text = "Add";
               Button.Width = 100;
               Button.Style.Add("display", "inline-table");
               Button.UseSubmitBehavior = true;
               Button.ClientSideEvents.Click = "AddData";
               //Button.ClientSideEvents.Init = "InitData";
               Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PORT_LOADING", "FTR-SPEX-54-01", "ADD");

           }).GetHtml()
                        @Html.DevExpress().Button(Button =>
           {
               Button.Name = "cmdEdit";
               Button.Text = "Edit";
               Button.Width = 100;
               Button.Style.Add("display", "inline-table");
               Button.UseSubmitBehavior = true;
               Button.ClientSideEvents.Click = "EditData";
               //Button.ClientSideEvents.Init = "InitData";
               Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PORT_LOADING", "FTR-SPEX-54-01", "EDIT");

           }).GetHtml()
                        @Html.DevExpress().Button(Button =>
           {
               Button.Name = "cmdDelete";
               Button.Text = "Delete";
               Button.Width = 100;
               Button.Style.Add("display", "inline-table");
               Button.ClientSideEvents.Click = "DeleteData";
               Button.UseSubmitBehavior = true; ;
               // Button.ClientSideEvents.Init = "InitData";
               Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PORT_LOADING", "FTR-SPEX-54-01", "DELETE DATA");

           }).GetHtml()
                    </td>
                </tr>
            </table>
        </div>

        <div class="content" style="min-height: 400px">
            @Html.Partial("_PORT_DISCHARGEGrid")
        </div>
</fieldset>
    

</div>
